Extending Qt Creator Manual | IOptionsPageProvider

Extending Qt Creator Manual 4.5.2

# IOptionsPageProvider Class

(Core::IOptionsPageProvider)

- List of all members, including inherited members

## Public Functions

| IOptionsPageProvider(QObject *parent = 0)
Id | category() const
QIcon | categoryIcon() const
QString | displayCategory() const
virtual bool | matches(const QString &searchKeyWord) const = 0
virtual QList<IOptionsPage *> | pages() const = 0

## Protected Functions

void | setCategory(Id category)
void | setCategoryIcon(const QString &categoryIcon)
void | setDisplayCategory(const QString &displayCategory)

## Member Function Documentation

### IOptionsPageProvider::IOptionsPageProvider(QObject *parent = 0)

Default constructs an instance of IOptionsPageProvider.

### Id IOptionsPageProvider::category() const

See also setCategory().

### QIcon IOptionsPageProvider::categoryIcon() const

See also setCategoryIcon().

### QString IOptionsPageProvider::displayCategory() const

See also setDisplayCategory().

### `[pure virtual]` bool IOptionsPageProvider::matches(const QString &searchKeyWord) const

### `[pure virtual]` QList<IOptionsPage *> IOptionsPageProvider::pages() const

### `[protected]` void IOptionsPageProvider::setCategory(Id category)

See also category().

### `[protected]` void IOptionsPageProvider::setCategoryIcon(const QString &categoryIcon)

See also categoryIcon().

### `[protected]` void IOptionsPageProvider::setDisplayCategory(const QString &displayCategory)

See also displayCategory().